Skip to content

Crs⁠

Perform various operations for Symitar parameters.

Operations⁠

getCrs⁠

POST

Retrieve Crs parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getCrs
POST /nexum/627/2022.01/parameter/getCrs HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCrsSelectFields⁠

POST

Retrieve Crs parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getCrsSelectFields
POST /nexum/627/2022.01/parameter/getCrsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "CrsFields": {
      "DefaultBureau": true,
      "UseCrsParameters": true,
      "ResponseFormat": [
        0
      ]
    }
  }
}

updateCrsByID⁠

POST

Update Crs parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateCrsByID
POST /nexum/627/2022.01/parameter/updateCrsByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CrsUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}